Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		esound
Version:	0.2.38
Release:	2
License:	GNU/GPL 
URL:		ftp://ftp.gnome.org
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Allows several audio streams to play on a single audio device
Patch0: 	esound-0.2.19-noerrors.patch
Patch2: 	esound-0.2.35-64bit_install.patch
Patch3: 	esound-multilib.patch
Patch4: 	esound-0.2.38-drain.patch
Patch5: 	esound-0.2.38-multi-user.patch
Patch6: 	esound-0.2.38-fix-open-macro.patch
Patch7: 	remove-confusing-spew.patch
#BuildRequires: 	docbook-utils
BuildRequires: 	audiofile-devel
BuildRequires: 	alsa-lib-devel

%description
EsounD, the Enlightened Sound Daemon, is a server process that mixes
several audio streams for playback by a single audio device. For
example, if you're listening to music on a CD and you receive a
sound-related event from ICQ, the two applications won't have to
queue for the use of your sound card.

Install esound if you'd like to let sound applications share your
audio device. You'll also need to install the audiofile package.

%package libs
Summary: 	Library to talk to the EsounD daemon
Group: 		Development/Libraries
Obsoletes:	esound

%description libs
The esound-libs package includes the libraries required
for applications to talk to the EsounD daemon.

%package tools
Summary: 	Commandline tools to talk to the EsounD daemon
Group: 		System/Base

%description tools
The esound-tools package includes commandline utilities
for controlling the EsounD daemon.

%package libs-devel
Summary: 	Development files for EsounD applications
Group: 		Development/Libraries
Requires: 	esound-libs = %{version}-%{release}
Requires: 	audiofile-devel
Requires: 	alsa-lib-devel
# we install a pc file
Requires: 	pkgconfig
# we install an automake macro
Requires: 	automake
Provides:	esound-devel
Obsoletes:	esound-devel <= %{version}

%description libs-devel
The esound-devel package includes the libraries, include files and
other resources needed to develop EsounD applications.

%prep
%setup -q

%patch0 -p1 -b .noerrors
%patch2 -p1 -b .64bit
%patch3 -p1 -b .multilib
%patch4 -p1 -b .drain-race
%patch5 -p1 -b .multi-user
%patch6 -p1 -b .open-macro
%patch7 -p1 -b .spew

%build
%configure --disable-static

EGREP=egrep make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


# Delete the esound binary
rm -f $RPM_BUILD_ROOT%{_bindir}/esd $RPM_BUILD_ROOT%{_mandir}/man1/esd.1*

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files libs
%doc AUTHORS COPYING.LIB ChangeLog docs/esound.sgml
%doc NEWS README TIPS TODO
%defattr(-, root, root,-)
%config(noreplace) /etc/*
%{_libdir}/*.so.*

%files tools
%{_bindir}/esdcat
%{_bindir}/esdctl
%{_bindir}/esddsp
%{_bindir}/esdfilt
%{_bindir}/esdloop
%{_bindir}/esdmon
%{_bindir}/esdplay
%{_bindir}/esdrec
%{_bindir}/esdsample
%{_mandir}/man1/esdcat.1.gz
%{_mandir}/man1/esdctl.1.gz
%{_mandir}/man1/esddsp.1.gz
%{_mandir}/man1/esdfilt.1.gz
%{_mandir}/man1/esdloop.1.gz
%{_mandir}/man1/esdmon.1.gz
%{_mandir}/man1/esdplay.1.gz
%{_mandir}/man1/esdrec.1.gz
%{_mandir}/man1/esdsample.1.gz
#%doc %{_datadir}/doc/esound

%files libs-devel
%defattr(-, root, root,-)
%{_bindir}/esd-config
%{_includedir}/*
%{_datadir}/aclocal/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man1/esd-config.1.gz
%{_libdir}/*.la

%changelog
* Fri Mar 14 2008 Christian Metzen <metzench@ccux-linux.de> 0.2.38-2
- renamed devel to libs-devel to reflect package db
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.2.38-1
- Version update
* Sun Jan 29 2006 Christian Wasem <wasem@ccux-linux.de> 0.2.36-1
- Update to Version 0.2.36
